X2Go Bug report logs - #1583
user resources not being read

version graph

Package: x2goserver-xsession; Maintainer for x2goserver-xsession is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-xsession is src:x2goserver.

Reported by: Hanno Foest <hurga-x2go@tigress.com>

Date: Mon, 28 Feb 2022 21:50:02 UTC

Severity: normal

Tags: pending

Found in version 4.1.0.4-0x2go1.2~git20220217.1940+11.heuler.1

Fixed in version 4.1.0.4

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#1583: X2Go issue (in src:x2goserver) has been marked as pending for release
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 1583-quiet@bugs.x2go.org
Resent-To: Hanno Foest <hurga-x2go@tigress.com>
X-Loop: owner@bugs.x2go.org
Resent-Date: Mon, 16 May 2022 19:50:03 +0000
Resent-Message-ID: <handler.1583.U1583.165273032117767@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 1583
X-X2Go-PR-Package: x2goserver-xsession
X-X2Go-PR-Keywords: pending
References: <20220228214613.GJ2792@tigress.com>
Received: via spool by 1583-submitter@bugs.x2go.org id=U1583.165273032117767
          (code U ref 1583); Mon, 16 May 2022 19:50:03 +0000
Received: (at 1583-submitter) by bugs.x2go.org; 16 May 2022 19:45:21 +0000
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=3.0 tests=BAYES_00,NO_RELAYS,
	T_SCC_BODY_TEXT_LINE,URIBL_BLOCKED autolearn=ham autolearn_force=no
	version=3.4.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 38BAD5DAF0; Mon, 16 May 2022 21:45:17 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1583-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1583@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: https://code.x2go.org/gitweb?p=maintenancescripts.git;a=blob;f=git/hooks/x2go-post-receive-tag-pending
Message-Id: <20220516194517.38BAD5DAF0@ymir.das-netzwerkteam.de>
Date: Mon, 16 May 2022 21:45:17 +0200 (CEST)
tag #1583 pending
fixed #1583 4.1.0.4
thanks

Hi!

X2Go issue #1583 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    https://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=1f9a68b4d1d13f80073d888586b48999316d5907

The issue will most likely be fixed in src:x2goserver (4.1.0.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1f9a68b4d1d13f80073d888586b48999316d5907
Author: Hanno Foest <hurga-x2go@tigress.com>
Date:   Mon May 16 21:29:38 2022 +0200

    x2goserver-xsession: Port OPTIONS variable and has_option() function from recent version of /etc/X11/Xsession to X2Go's Xsession file. (Fixes: #1583). More porting is actually needed.

diff --git a/debian/changelog b/debian/changelog
index 4d737e11..c0514892 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,12 @@ x2goserver (4.1.0.4-0x2go1.2) UNRELEASED; urgency=medium
     - x2gocleansessions: Separate non-forking behavior from --debug into
       --nofork.
 
+  [ Hanno Foest ]
+  * New upstream version (4.1.0.4):
+    - x2goserver-xsession: Port OPTIONS variable and has_option() function
+      from recent version of /etc/X11/Xsession to X2Go's Xsession file. (Fixes:
+      #1583). More porting is actually needed.
+
   [ Mike Gabriel ]
   * New upstream version (4.1.0.4):
     - Fix version number in VERSION.x2goserver-desktopsharing.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 20:45:15 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.